/***************************************************************************
 *                                                                         *
 *  MAXIMUS-CBCS Source Code, Version 1.02                                 *
 *  Copyright 1989, 1990 by Scott J. Dudley.  All rights reserved.         *
 *                                                                         *
 *  Opus .PRM structure.                                                   *
 *                                                                         *
 *  For complete details of the licensing restrictions, please refer to    *
 *  the licence agreement, which is published in its entirety in MAX.C     *
 *  and LICENCE.MAX.                                                       *
 *                                                                         *
 *  USE OF THIS FILE IS SUBJECT TO THE RESTRICTIONS CONTAINED IN THE       *
 *  MAXIMUS-CBCS LICENSING AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF THIS *
 *  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES, OR IF YOU DO NOT HAVE   *
 *  THESE FILES, YOU SHOULD IMMEDIATELY CONTACT THE AUTHOR AT ONE OF THE   *
 *  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO USE THIS    *
 *  FILE WITHOUT HAVING ACCEPTED THE TERMS OF THE MAXIMUS-CBCS LICENSING   *
 *  AGREEMENT, OR SUCH OTHER AGREEMENT AS YOU ARE ABLE TO REACH WITH THE   *
 *  AUTHOR.                                                                *
 *                                                                         *
 *  You can contact the author at one of the address listed below:         *
 *                                                                         *
 *  Scott Dudley           FidoNet  1:249/106                              *
 *  777 Downing St.        IMEXnet  89:483/202                             *
 *  Kingston, Ont.         Internet f106.n249.z1.fidonet.org               *
 *  Canada - K7M 5N3       BBS      (613) 389-8315 - HST/14.4K, 24hrs      *
 *                                                                         *
 *  This module extracted from OPUS.H, which was written (and              *
 *  probably copyrighted by) Wynn Wagner III.                              *
 *                                                                         *
 ***************************************************************************/

#ifdef MAX_EXTERN
#undef MAX_EXTERN
#endif

#define  MAX_EXTERN         8       /* max. number of external programs     */
#define  MAXCLASS          12       /* number of possible priv levels       */
#define  ALIAS_CNT         15       /* number of matrix addresses           */

               /*-----------------------------------------------------------*/
               /* Information about a class of users.  Warning: This is NOT */
               /* a stable structure.                                       */
               /*-----------------------------------------------------------*/
struct   class_rec
            {
               int          priv;
               int          max_time;      /* max cume time per day         */
               int          max_call;      /* max time for one call         */
               int          max_dl;        /* max dl bytes per day          */
               unsigned int ratio;         /* ul:dl ratio                   */
               unsigned int min_baud;      /* speed needed for logon        */
               unsigned int min_file_baud; /* speed needed for file xfer    */
            };

   struct   class_rec_110 /* For V17 .PRM */
   {
      byte  ClassPriv;
      byte  class_fill;
      int   max_time;               /* max cume time per day               */
      int   max_call;               /* max time for one call               */
      int   max_dl;                 /* max dl bytes per day                */
      word  ratio;                  /* ul:dl ratio                         */
      word  min_baud;               /* speed needed for logon              */
      word  min_file_baud;          /* speed needed for file xfer          */
   };


/*--------------------------------------------------------------------------*/
/* Registers to pass to a FOSSIL appendage                                  */
/*--------------------------------------------------------------------------*/
struct _FOSREGS
   {
   word  ax;
   word  bx;
   word  cx;
   word  dx;
   };

/*--------------------------------------------------------------------------*/
/* FLAGS                                                                    */
/*--------------------------------------------------------------------------*/
#define LOGECHO    0x0001  /* log echomail areas        0000 0000 0000 0001 */
#define STEADY     0x0002  /* never change baud rate    0000 0000 0000 0010 */
#define ECHOSCAN   0x0004  /* automatically scan echo's 0000 0000 0000 0100 */
#define ECHO_GUARD 0x0008  /* no toss un-pwd echo arc   0000 0000 0000 1000 */
#define NO_FWD     0x0010  /* No IN TRANSIT netmail   * 0000 0000 0001 0000 */



struct pointers_14 {

               /*-----------------------------------------------------------*/
               /* DATA                                                      */
               /*-----------------------------------------------------------*/
         byte  version;        /* for safety                                */
         byte  testmode;       /* input from keyboard, not modem            */
         long  total_callers;  /* total number of callers to system         */
         long  quote_position; /* last position used in last quote file     */
         byte  multitasker;    /* flag for DoubleDos (see below)            */
         byte  snooping;       /* Local monitor active                      */
         byte  edit_exit;      /* 1= use new user questionaire              */
         byte  verbose;        /* wordy sysop log                           */
         byte  terse;          /* brief sysop log                           */
         byte  trace;          /* log trace mode                            */
         byte  show_areapath;  /* use path not Dir.Bbs                      */
         byte  task_num;       /* for multi-tasking systems                 */
         byte  exit_val;       /* ERRORLEVEL to use after caller            */
         byte  val_outside;    /* ERRORLEVEL for O)utside                   */
         byte  val_zero;       /* ERRORLEVEL for sysop 0 command            */
         byte  no_crashmail;   /* 1 = don't accept crashmail                */
         byte  auto_kill;      /* RECD PVT msgs. 0=no 1=ask 2=yes           */
         byte  crashexit;      /* non-zero= ErrorLevel exit                 */
         byte  unpack_arc;     /* 1=unpack incomming arcmail                */
         byte  toss_echo;      /* 1=toss incomming echomail                 */
         byte  arc_exit;       /* ErrorLevel for after incomming ARCmail    */
         byte  old_dtr;        /* 1 drop dtr to look busy, 0 go off hook    */
         int   carrier_mask;
         int   handshake_mask;
         int   ctla_priv;      /* Priv to see CONTROL-A lines in messages   */
         int   max_baud;       /* fastest speed we can use                  */
         int   min_baud;       /* minimum baud to get on-line               */
         int   speed_graphics; /* min baud for graphics                     */
         int   com_port;       /* Com1=0, Com2=1                            */
         int   logon_priv;     /* Access level for new users                */
         int   date_style;     /* Used for FILES.BBS display                */
         int   seenby_priv;    /* Min priv to see SEEN_BY line              */

         int   msg_ask[16];    /* Array of privs. for message attr ask's    */
         int   msg_assume[16]; /* Array of privs. for message attr assume's */
         int   msg_fromfile;   /* Priv. for doing message from file         */

         byte  watchdog;       /* 1=Set Fossil to reboot during outside     */
         byte  video;          /* 0=Dos, 1=Fossil 2=IBM                     */

         byte  filler[8];

         word  logon_time;     /* time to give for logons                   */

         byte  echo_exit;      /* ERRORLEVEL for after inbound echomail     */

         byte  bfill;
         byte  Flags;          /* See "FLAGS" below                         */

/*       byte  junk1; */

         word  our_zone;
         word  matrix_mask;

         struct class_rec class[MAXCLASS];
         struct _ndi alias[ALIAS_CNT];


               /*-----------------------------------------------------------*/
               /* OFFSETS                                                   */
               /*-----------------------------------------------------------*/
         int   m_init;         /* modem initialization string               */
         int   predial;        /* modem dial command sent before number     */
         int   postdial;       /* modem command sent after dialed number    */
         int   timeformat;
         int   dateformat;
         int   fkey_path;      /* path to `F-key files'                     */
         int   parm_outside;   /* prog/parms for O)utside                   */
         int   parm_zero;      /* parm for sysop 0 command                  */
         int   sys_path;       /* path to SYSTEM?.BBS files                 */
         int   user_file;      /* path/filename of User.Bbs                 */
         int   net_info;       /* path to NODELIST files                    */
         int   sched_name;     /* name of file with _sched array            */
         int   logo;           /* first file shown to a caller              */
         int   welcome;        /* shown after logon                         */
         int   bulletin;       /* shown after the welcome file              */
         int   editorial;
         int   quote;
         int   question;       /* Questionnaire available on the main menu  */
         int   request_list;   /* list of files approved for file requests  */
         int   newuser1;
         int   newuser2;
         int   rookie;
         int   application;    /* new user questionnaire                    */
         int   avail_list;     /* file to send when FILES is file requested */
         int   hlp_editor;     /* Intro to msg editor for novices.          */
         int   hlp_replace;    /* Explain the Liss  o SE)s   0 command    s */
         int   msinqunaice;    /* Explain the Li I)nqunai 0 command         */
         int   hll Lotame;     /* Explain thF fileL) Lota 0 command         */
         int   hlcooinntsst;   /* Explain thF fileC)ooinnts 0 command       */
         int m_o_leavoping;    /Be oVoyndage                                */
         int m_o_reuctnme;     /W welcombnpace fror O)utside                */
         int   ylimexit;       /Sorrusyyou'vsee whee onoo   lo..es.         */
         int   tiwatnme;       /*atnmminginbtor fcste chaup                 */
         int   sopud;          /* sopme'* nam                               */
         int noosbelme;        /e Explas/* minimur logoe baud rate          */
         int e xfn_baud;       /e Explas/* minimu* filerans xfee baud rates */
         int   mw_arst_list;   /dumpu* fi..esn used uesadst ot Dir.Bbs    s */
         int n_filw_arst_list  /dumpu* fi..esn used uesadst ot Dir.Bbs    s */
         int hom oselcome;     ,iwaelco	 A2 /* sorur   byt prut n_filw        /e      _xil        int n_filwNi    /* path ce; l
  Si      int   fkey_ XCLASS   d u80sn R int   fkey_ XCLA00 00	EaASS   d    paramfor message attr ask's  
  l/
     st ot Dir.Bbs    s */mg        int _ XCLA00 00	Easec  /* F fvopm   /fileL) Lota 0 command          */
         int   fkey_po pa FossilRORLEVone;
Explffic   byt prut n_filw      */cad
         int   roobada logo         int   roos */mg        iint _ XCLA00   /* Prisec  /* F 0 */nancelco	 ABY line              * */
         int   sys_paERRORLEVbRLE* path to NODELIST filadst ot Dir.Bbs    s */
         int   sys IntERRORLEVone;
E /* path to NODELI                    p/
hel
      nt hel 00	Ea Intnntsf */-scr   /     /*                         emp
         int      ey_po    emporary  /* path to NODELIS---------------------* 1          int  dstd ry  /*t     postd to look busfcste chaup                 */emp         ite    /*d;          /* sopme'* nam                              f wh_e;       int mt;   Rwhen F: ABOUTiwaelco	 A2 /* sorur   Y line         CNT];


               /*-----------------------------------------------------------*/Log_N    muequalways   nntsfst po tostchoinnt toAXCLASS                       *   caasteuse_I;  ist talhi  symbo      multntsfst; opath ce                    * ntsf tostcsg editor foFSETS                                                   */
               /*----------------------------------------------------------  /         inint   sched_nntsfstrawaelco	 A2 /* sorur   b          };00 0000     /
               /*---------------------------------------------------------t  Tha Intne;ed_nntsfPRMawael, VERSION 16ETS                                                                                                              ----t  THIS IS AN EXPLOSIVE STRUCTUREg eIT IS SUBJECT TO CHANGE WITHfo;fo; a--- caast7choinnmt p ExplLE* [4rs;       /o---BY line  p  guar ltint:-----------------t  Tha Intne;ed_nntsfPRMawael, VERSION 16ETS                                                 
            bs                    / /* th    bs   co	 ABY line               
            byte  show_are        / 1/* 6+---------------------t  Tha Intne;ed_nntsfPRMawael, VERSION 16ETS                                                int   sched_nntsfstrawaelco	 A2 /* sorur   b          };00 0000     /
      ------------poogo rs_16-----{      * ntsf tostcsg editor foFSETS                                                  *   caasteuse_DATARSION 16ETS                                                  * ntsf tostcsg editor foFSETS                                                  */

         bs            apath; safetnew users                STABLE         */
         byte  show_areapath; m /di-  byo---  int co	 ABY liSTABLE         */
 ADDR   word  matrix_mask;
  */

         byte  watchdog;       /* 1=Set Fossil to reboot during out        */
        opmth tshow_areapain-scrndage  t     ,en tath to                  f wh_e;         byte  old_dtr;              rop dtr to look bbelow              int   ctla_priv;      /* Priv to see CONTROL-A lines in me        */
         int   speed_graphics; /* min ba, FF=  t           byte  filler[8];

         m /di  byer ry  /*tXCLASth; Doudit    ( forechom) during out        */  intg  byte  s$5ub t     ,bN   Oa 1=Sets  */efTro	 Aorml7Bing st   prtcsg editor foFSETS                b   f wc  r in forechom) during  during out        */  int                    b   LOG r in forechom) during  during e  filler[8];

      Snt                 b   STYTABr in forechom) during  during out        */  intFWDf               BiplLE*  introinIN TRANS      int   ha e  filler[8];

        /* ERRORLEVEL for after inbound echomail     */

       out        */  intF /* 2nt      ey_po after inb 2ound echomail     */

      filler[8];

       I  ord  logon_time;     /* tiE* e COif Mo NODEint  csee               */       d  _vnt   predial;;     /* tiE* e CO  /* se with _sched arr filler[8];

      crashrd  logon_timenon-int = ErrorL/* Cord     */

       out        */  intarcord  logon_tial;;rrorL/* Come to give f) Lo byoARC        filler[8];

         word  logon_time;     /* time to give for logons         out        */  intUDB_  /* ERRORLEimeo SY/* mailR COf   ame of User.Bbs                 f wh_e;    o b  int   ctla_prie E [er[8];

      Snt                 b   STYTANwgive f k bbelow              inr    *    L     y   r    /ItiE* e scheylogon_timenon-int = Error      d se_s        *    U ues r  e    omman2 /* so  filler[8];

       I  ord  logon 2=IBMpriv    *    Afic   le f) Lo b  int   * e scheylogon_t  intUDB_  /* ERRORdurnbyMpriv    *   M   privr quesoreEEN_BY     b   STYTANwgi
      crashrd  logon_tlaMpriv    * *   Privr quesorCONTROL-A     s   quoiller[8]  intF /* 2nt      e ,eme'*Priv       Priv. Lo bdo filobada lo  ,en------------
      crashrd  logonAskPrivs[16]       A     ---privs. Lo bobada loattogosk'* e   intF /* 2nt      AssumePrivs[16]    A     ---privs. Lo bobada loattogossume's_e;    o b  int   ctl 2=IBMmexi    *    mexi     iv to NO 2=IB* e scheylogon_time_e;    o b  int   ctlae    ow              int   ctlM  NetBinr    *    L      Snt      */o NOremhe er_f     */on-int = Error      MaxJanusBinr    Priv to seent      th _Ianus scheylogon_time_e;    o b  into rs_16c---sopic_1106c---swNi CLASS]       rop do rs_16_FOSREail toRegs[10

         byt      F_Rit; E [er[8];
me'* upro	 Amexi rit; E /fonontF fileC)oon-int = Error      ----00	Easec  /* F High see whe     presume     ;  s   out  n-int = Error      ----0f0	Easec  / F High see-----     presume     ;  s   out 
      crashrd  logonping; _go ur /dumpu0=ignont:LASTUSER, >1npi-r ot LASTUSER wh_e;       int mt;   RMawN ino NOV    ap 17 
      crashrd  logoxuf for after inbExplatOf   eo SY:efTAx_mang sOf  Te  */ot  n-int = Error     xlm       /*  /*----- ot m mino NOlasi   syyou'vsscheylogon_t  intUDB_  /*   r xleuc     /*  /*----- ot d----o NOlasi   syyou'vsscheylogon_t  intUDB_  /* logolasriv    * * /* Explaii   sriv--- fileC)ooinnts 0 command     intUDB_  /*   r totlaniplLE*  in ExpTotedilaniuler[8pres.Bbs(1-6uring out      intUDB_  /* logosylnname;     /* namDef Singi LaniulerorL   (0-5uring out      intUDB_  /* logouslnname;     /* namDef Of   LaniulerorL    (0-5uring out      intUDB_  /* logo---l3b    * * /* ExpBlogoix_gno---lfiller[8];
ylogon_timenon-int = Error     Sc; _Sizain-scrndageLy_ X CRT'* siza, HiBlog=len,eLyBlog-Wi/       d  _vnt     ---_e  L3[11]       F--lfiller[8];
ylogon_timenoylogon_time_e;   f tostcsg editor foFSETS                                                  *   caasteuse_DATARSION 16+----S                                               * ntsf tostcsg editor foFSETS                                                  */

         bs s s s s s s s s s s s foFSETS                                     tsf tostcsg editor s s s s s s s s forechom)COMMAND    INGS                    tsf tostcsg editor s s s s s s s s fo                                       */
               /*-MDMtostc [er[8];

        tiix_za     o ru'vsscheylogon_temp         ite    /MDMtPreDi     /*

     di  and      s.Bbsbefont:apabfillermp         ite    /MDMtPostDi     /

     nd      s.Bbsons   di  e  apabfillemp         ite    /MDMtL---Bpo    ey  /* path to NODELIS---------------------* 

         bs s s s s s s s s s s s foFSETS                                     tsf tostcsg editor s s s s s s s s forPRIMROSE PATHS                           tsf tostcsg editor s s s s s s s s fo                                       */
               /*-misc_a Intnntsf * F 0 */nanmma/Gman               emp---* 1          int  dstd ry_a Intnntsf  * F 0 */nanSYSTEM?omman               emp--hel
      nt hel 00	Ea Intnntsf */-scr   /     /*                         emphel
      nt hel r_f_infname;    * F 0 */nanNchoLISTn               emp---* 
         int n_filw_ara Intnntsf */-scr   /     /*piceiv der_f     BY line    
         int   sys_paERRORLEVbRLE* patr   /     /*piceiv der_f                mg        int _ XCLA00 00	Easec  /* F fvopm   /fileL) Lota 0 command          *

         bs s s s s s s s s s s s foFSETS                                     tsf tostcsg editor s s s s s s s s for6ETS e    NAMES                          tsf tostcsg editor s s s s s s s s fo                                       */
               /*-t   _    sec  /* F fvop/    --------Of  .po       emp---* 1          int  dstd chntE--------------------------wiopm_ chnt-  rso  filler[8]
               /*--anidirplLE*  introLaniauggo---e dir. (Was Sil   qv16uring o          int  dstd pcldirplLE*  introSpcl Ann Trtc dir. (Was Usl   qv16uring o            bs s s s s s s s s s s s foFSETS                                     tsf tostcsg editor s s s s s s s s foreISCELLANEOUS TEXT                       tsf tostcsg editor s s s s s s s s fo                                       */
               /*- ry  /*t     postd to look busfcste chaup                 */
               /*- ryop    * * /* Exp ryopok busfcste chaup                 */
               /*-mexi------       rop d   /*-d se------       rop d   /*-proto   swNi _EXTERN]  Exprtcsg edi---e proto    pro  /m* e   in        bs s s s s s s s s s s s foFSETS                                     tsf tostcsg editor s s s s s s s s formma/GmanSUPPORT e                        tsf tostcsg editor s s s s s s s s fo                                       */
               /*- 2=Iame;     /* namfirsee-----shownm   a arr filler[8];
*/
               /*-welnd ain-scrnd Exp hownmons    2=IBchaup                 */
               /*-  it   1       rop d   /*-  it   2       rop d   /*-r---ie
         byt   /*-HLP_Etimor---------I    m    wheetimor Lo b oviic .       */
               /*-HLP_Retr     postd laila  q---BMsg.Etimor E)tim nd        */
               /*-HLP_Inquir   postd laila  q---BMsg. I)nquir  nd        */ */
               /*-HLP_Ly_ t----------laila  q---BF     L)y_ t- nd        */ */
               /*-HLP_CS  .Bbs   ey  laila  q---BF     C)S  .Bbs nd        */ 
               /*-HLP_OPeE [er[8];
helpe-----Lo b---Bfull-scrurneetimor  */ 
               /*-OUT_- oviniplLE*formIBcVoyF fileC)oochaup                 */
               /*-OUT_Ring; ---------Welnd aentcko  ,enO)utshdo             */
               /*-to _DayLimtc [ertroSorry, you'vringrneonm  o  2ng...       *
               /*-to _TexiWa; ----trosyyou'vsaa 0t-Lo cnt-    up            */
               /*-to _TooS*/plLE*foreaila  s L      S 2=IBcnt      */      */
               /*-to _XferBinr    Prieaila  s L      S-----   nsfercnt      */
               /*-LIST_MsgA	Eas/dumpudumpe----... u ues  st ot ---Di .po      
               /*-LIST_F   A	Eas/dmpudumpe----... u ues  st ot ---Di .po      
                 /*-FREQ_MyF        Priv---- ques   whrnee     isiv----requ seed
               /*-FREQ_OKL s plLE*forl s  -------s approvues r  v----requ ses 
               /*-FREQ_Aa 0t---------me'* Requ se: ABOUTn-------------------* 

         bs    /*-OEC_Quhe s       rop d   /*-byebyeplLE*  in Exp---e di/* sont- tS 2=I---              */
               /*-ly_ X_etimor----   mrtc etimor ODEint  n    byte  IS--    */
               /*-b  ricade       rop d   /*-INMAIL_dirplLE* ---Wher-- qufi   INMAIL##.$$$-rer ry      b 
         int n_filw_arerplLE*  in Exp-u  prtcsg ediw_arer nd        */ */   */
               /*-nd  o      /*  /---me'* wiopmame ond  o m   a  pt          e_e;       int mt;   RMawN ino NOV    ap 17 
      crashrd    /*-xdwa; ----s s s for6  */Wyyou'vsOECrmmaup                 */
               /*-xtwa; ----s s s forTexi/Wyyou'vsOECrmmaup                 */
               /*-xdeaiE [er[8];* Explaii nt-due-to-6  */OECrmmaup            
               /*-xteaiE [er[8];* Explaii nt-due-to-Texi/u uesOECrmmaup       
               /*--ani[6]    8];* Exp6 Laniulerome'* Root Nusfcpo ft  * e sche
      crashrd    /*-badRRORLEVbRLE* forPvopmo NOunpicognizaout    busf       emp
               /*-OFS_F--lfi[2]/dumpuWas [13]  n V16
ylogon_timenoylogon_time_e;   tostcsg editor foFSETS                                                  *   caasteuse_DATARSION 1Log_Nusfcmus  alw----beb---B--------s     q--isio rs_16 ntsf tostcsg editor fo-becaint po tostc/u usq-- tSsymb    qufo Sb---Bs   o--    tsf tostcsg editor fo----B---s   .       */                                 * ntsf tostcsg editor foFSETS                                                  */

         bs    /*- 2=E--------------------------B-ogn-------------------*  * ntsf tos};;   f tos#def   bTOTPRIVS 12  f tos#def   b_TWIT      0x106forTwio ..........lM      Safic  . Eg, Problems 
      #def   b_DISGRACE  0x306forDis  /cnt-.....lEg, 1---mexi arr fi       emp
      #def   b_LIMITED   0x406forLimtcnt-.......lEg, 1---mexi arr fi       emp
      #def   b_NORMAL    0x506forN----l ........lEg, Regul r arr fi       empp
      #def   b_WORTHY    0x606forWorthy ........lEg, Approvuesarr fi       emp
      #def   b_PRIVEL    0x706forPriv--- ft-....lEg, Fu  pafic  sarr fi       
      #def   b_FAVORED   0x806forFavo nt-.......lEg, Fris  s  NOHelp  * e sche
      #def   b_EXTRA     0x90bExplatra .........lEg, Fris  s  NOHelp  * e sche
      #def   b_CLERK     0xA0bExpC fik .........lEg, Occa  aa edihelp   e sche
      #def   b_ASSTSYSOP 0xB0bExpAss s a  /Singi HighSafic  . Eg, Co-Singi* e   in   #def   b_SYSOP     0xD0bExpSingi .........lHIGHESTnACCESS. #1pSingi time_e;   tos#def   b_HIDDEN    0xE0/ F Hiddrne........lHID   THINGS /nNcT eOR USERSe_e;   f toso rs_16_ ry110f tos{        /*........l(mostly) Co  o mSry  /r6  a ..............................

              v    apame;     /* namSry  /rRico   v    ap = 110 = v1.10    * ntsf tostcs     menuame;     /* /* namAlcsg e */Menun-----rtcsn  ap,u0=MNU   * ntsf tostcs     atandb    * * /* * namA	Ea atandbue s (sering*/uring out    * ntsf tostcs logo---lc1[10]    8];* ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf tostcs logob  rRROR[ 406]plLE*form  ricadeome'* RROR.       */             tsf tostcs logo---lc2[24]    8];* ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf         /*........lme'* Sry  /rIn------ ap ..................................

          logo---title[ 506]plLE*forme'* A	Ea Titleller[8];
ylogon_timenoylotsf tostcs logo_paERROR[ 406]plLE*forPvopm   ---Bf--e downloot direcmoro  filletsf tostcs logoupRROR[   406]plLE*forPvopm   ---Bf--e uploot direcmoro  filleletsf tostcs logol s RROR[ 406]plLE*forPvopm   e    ommanequiv  e  /*-           tsf tostcs logo---lf1[22]    8];* ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf          logome'*Priv    * * /* ExpM   privs r  v----0	Ea;
ylogon_timenoylotsf tostcs logoDownPriv    * * /* ExpIfb ot 0, L   privs   downloot n_timenoylotsf tostcs logoUpPriv    * * /* * ExpIfb ot 0, L   privs   uploot gon_timenoylotsf tostcs logome'*latPriv    * * ExpIfb ot 0, L   privs   go Outshdo          tsf tostcs logo---lf2[12]    8];* ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf          2ngome'*Ly_k    * * /* ExpLy_kss r  me'* A	Ea 8];
ylogon_timenoylotsf tostcs 2ngoDownLy_k    * * /* ExpIfb ot 0,    k beedeh to downloot n_timenotsf tostcs 2ngoUpLy_k    * * /* * ExpIfb ot 0,    k beedeh to uploot gon_timenotsf tostcs 2ngome'*latLy_k    * * ExpIfb ot 0,    k beedeh to go Outshdo       tsf tostcs logo---lf3[32]    8];* ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf         /*........lMc  leroSry  /rIn------ ap ...............................tsf          logo whtitle[ 506]plLE*forMsg  A	Ea Titleller[8];
ylogon_timenoylotsf tostcs logo whRROR[  406]plLE*forPvopm   mc  ler           emp---* 1      tsf tostcs logo---lm1[ 22 ]    8];ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf          logoMsgPriv    * * /* *ExpM   privs r   whe0	Ea;
ylogon_timenoylo tsf tostcs logoEtimPriv    * * /* ExpIfb ot 0, L   privs   Eft    NORetrynoylo tsf tostcs logoMsglatPriv    * *  ExpIfb ot 0, L   privs   go Outshdo          tsf tostcs logo---lm2[13]    8];* ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf          2ngoMsgLy_k    * * /* *ExpLy_kss r  Msg A	Ea 8];
ylogon_timenoylootsf tostcs 2ngoEtimLy_k    * * /* ExpIfb ot 0,    k beedeh to Eft    NORetrynoytsf tostcs 2ngoMsglatLy_k    * * /ExpIfb ot 0,    k beedeh to go Outshdo       tsf tostcs logo---lm3[4]    8];*  ExpRes.rvues --lfiller[8];
ylogon_timenoylotsf tostcs logoE   Nusf[32]    8];Expl    A	Ea 'Tag' Nusfc];
ylogon_timenoylotsf         /*=================================== TotediRico   Siza   = 512 =====tsf tos};;   f 
                                                                             